## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           8088_bios
Version:        0.9.9
Release:        %autorelease
Summary:        BIOS for Intel 8088 based computers

License:        GPL-3.0-or-later
URL:            https://github.com/skiselev/8088_bios
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  nasm
BuildRequires:  xtideuniversalbios

BuildArch:      noarch

%description
This package provides a BIOS for Sergey Kiselev's IBM PC/XT compatible systems:
Micro 8088, Xi 8088 and Sergey's XT.

%prep
%autosetup

# Replace bundled xtide bios with the packaged version padded to 8 kB
dd if=%{_datadir}/xtideuniversalbios/ide_xt.bin of=ide_xt.bin bs=8k count=1 conv=sync

%build
for machine in MACHINE_XI8088 MACHINE_FE2010A; do
  %make_build MACHINE="$machine" XTIDE=ide_xt.bin
  rm bios.bin bios.lst
done

%install
install -Dpm0644 -t %{buildroot}%{_datadir}/%{name} bios*.bin

%files
%license copyright.tmpl
%doc README.md
%{_datadir}/%{name}/

%changelog
## START: Generated by rpmautospec
* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Feb 20 2023 Dan Horák <dan@danny.cz> - 0.9.9-2
- build with Fedora built XUB image

* Fri Feb 10 2023 Dan Horák <dan@danny.cz> - 0.9.9-1
- rebase to 0.9.9

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.8-3
- Add BuildRequires on coreutils

* Sun Dec 11 2022 Dan Horák <dan@danny.cz> - 0.9.8-2
- pad the xtide bios image to 8 kB before using

* Mon Dec 05 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.8-1
- Initial import; Fixes: RHBZ#2150546
## END: Generated by rpmautospec
